import greenfoot.*;
/**
 * Write a description of class Trailer here.
 * 
 * @author Taylor Born
 * @version January 2011
 */
import java.util.*;
public class Trailer  
{
    protected int direction = 0;
    protected GreenfootImage pic;
    protected Point position;
    private ArrayList<Trail> trails = new ArrayList<Trail>();
    private int skip;

    public Trailer()
    {
        
    }
    public void runTrail()
    {
        for (int i = 0; i < trails.size(); i++)
        {
            if (trails.get(i).hasExpired())
                trails.remove(i--);
            else
                trails.get(i).fade();
        }
    }
    public void addTrail()
    {
        if (skip++ == 3)
        {
            trails.add(new Trail(new Point(position), getPic()));
            skip = 0;
        }
    }
    public GreenfootImage getPic()
    {
        GreenfootImage p = new GreenfootImage(pic);
        p.rotate(direction);
        return p;
    }
    public ArrayList<Trail> getTrail()
    {
        return trails;
    }
    public void turn(int d)
    {
        direction += d;
    }
    public int getDirection()
    {
        return direction;
    }
    public Point getPos()
    {
        return position;
    }
}