import greenfoot.*;
/**
 * Write a description of class Burst here.
 * 
 * @author Taylor Born
 * @version January 2011
 */
import java.awt.Color;
public class Burst  
{
    private int x = 20;
    private Point pos;
    private Color color;
    private boolean fill;
    
    public Burst(Point p, Color c, boolean f)
    {
        pos = p;
        color = c;
        fill = f;
    }
    public void go()
    {
        x += 20;
    }
    public GreenfootImage getPic()
    {
        GreenfootImage pic = new GreenfootImage(x / 10, x / 10);
        pic.setColor(color);
        if (fill)
            pic.fillOval(0, 0, pic.getWidth() - 1, pic.getHeight() - 1);
        else
            pic.drawOval(0, 0, pic.getWidth() - 1, pic.getHeight() - 1);
        pic.setTransparency((int)(50 + (500d - x) / 500d * 200));
        return pic;
    }
    public boolean isDone()
    {
        return x == 500;
    }
    public int getWidth()
    {
        return x / 10;
    }
    public int getHeight()
    {
        return x / 10;
    }
    public Point getPos()
    {
        return pos;
    }
}